<?php

/**
 * Class ListingProductTest
 */
class ListingProductTest extends \PHPUnit\Framework\TestCase
{
    public function testLoadsItem()
    {
        $itemLoader = $this->createMock(\Bydedi\Module\Listing\ItemLoaderInterface::class);
        $itemLoader
            ->expects($this->once())
            ->method('getSearch')
            ->willReturn(
                array(
                    array('produit_id' => '1', 'produit_prix_ttc' => 5.99),
                    array('produit_id' => '2', 'produit_prix_ttc' => 10.99),
                )
            );

        $listing = new \Bydedi\Module\Listing\Service\ListingProduct($itemLoader);

        // possibilité de faire des mocks avec CriteriaInterface
        $listing->addCategorie(new \Bydedi\Module\Listing\Criteria(1));
        $listing->addCategorie(new \Bydedi\Module\Listing\Criteria(2));

        $items = $listing->getItems();

        $this->assertEquals(2, count($items));
    }
}
